List code changes for an audit
Retrieves code changes population data for an audit.
This endpoint provides access to code change records (pull requests) visible to auditors during an audit engagement.
Supports filtering by:
search: Searches code change titles and repository names (case-insensitive)sourcesMatchesAny: Filters by version control source (accepted values: github, gitlab, bitbucket, azuredevops)closedAfterDate/closedBeforeDate: Filters by the closed date range
Uses cursor-based pagination. To paginate:
- Make initial request with desired
pageSize - Check
results.pageInfo.hasNextPage - Use
results.pageInfo.endCursoraspageCursorfor next request
Results are sorted by closed date (newest first). This sort order is fixed and cannot be customized via query parameters.
On an audit that covers more than one framework, each code change in scope for any of the audit’s frameworks is returned once.
Audits with system segments are not supported by this endpoint.
Only Controlled Audit View (CAV) audits are supported. Full Audit View audits are rejected with 403. Returns 403 if the customer has not made this population page visible to auditors.
Rate limit: 10 requests / minute.
Authorizations
Query Parameters
Pagination cursor from previous response A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.